Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue.push.xml
Class Authentication

    java.lang.Object
      org.hornetq.rest.queue.push.xml.Authentication

All Implemented Interfaces:
  java.io.Serializable

    public class Authentication

extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 1 $
Author:
  Bill Burke
See Also:
  Serialized Form

Constructor Summary
`Authentication()`

Method Summary
`AuthenticationType` | `getType()`
`void` | `setType(AuthenticationType type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Authentication

    public Authentication()

Method Detail

### getType

    public AuthenticationType getType()

### setType

    public void setType(AuthenticationType type)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.